/**
  *  \file client/dialogs/fleetopts.h
  *  \brief Fleet Cost Options dialog
  */
#ifndef PCC_V2_CLIENT_DIALOGS_FLEETOPTS_H
#define PCC_V2_CLIENT_DIALOGS_FLEETOPTS_H

/** Options for fleet cost comparison. */
struct WFleetCostOptions {
    enum Fighters {
        ff_Free,                ///< Do not count fighters.
        ff_LFM,                 ///< Count fighters as ShipFighterCost.
        ff_Build,               ///< Count fighters as BaseFighterCost.
        ff_MAX
    };
    Fighters fighters;
    bool torps;                 ///< Include torpedo costs.
    bool engine;                ///< Include engine cost.
    bool planet;                ///< Include planet cost.
    bool base;                  ///< Include starbase cost.
    bool tech;                  ///< Include tech level cost.
    bool team;                  ///< Display by team, not by player.
};

bool editFleetCostOptions(WFleetCostOptions& opts);

#endif
